# Uses of Interface
org.apache.cxf.policy.PolicyCalculator

Packages that use PolicyCalculator
Package
Description
org.apache.cxf.policy

- ## Uses of PolicyCalculator in org.apache.cxf.policy

  Methods in org.apache.cxf.policy with parameters of type PolicyCalculator
  Modifier and Type
  Method
  Description
  `<T> void`
  PolicyDataEngine.`assertMessage(Message message, T confPol, PolicyCalculator<T> policyCalculator)`
  `<T> T`
  PolicyDataEngine.`getClientEndpointPolicy(Message m, EndpointInfo ei, Conduit c, PolicyCalculator<T> policyCalculator)`
  `<T> T`
  PolicyDataEngine.`getPolicy(Message message, T confPolicy, PolicyCalculator<T> intersector)`
  `<T> T`
  PolicyDataEngine.`getServerEndpointPolicy(Message m, EndpointInfo ei, Destination d, PolicyCalculator<T> policyCalculator)`